/* 1- Programe un algoritmo que, dados los datos contenidos en un vector, calcule e imprima el mximo, el mnimo, la media y la desviacin tipo. */
/* Solucin en lenguaje C */

#include <stdio.h>
#include <math.h>

#define MAX 100 /* Mximo de elementos del vector */

/*Programa principal */
int main ()
{
	int i, n;
	float tabla[MAX];
	float maximo, minimo, suma, cuadrados, media, sigma;
	printf("Estadstica sobre un vector de datos\n");
	printf("------------------------------------\n\n");
	
	do
	{
		printf("Cuntos datos desea introducir? (2..%i): ", MAX);
		scanf("%i", &n);
	} while ( (n < 2) || (n > MAX) );

	for (i=0; i < n; i++)
	{
		printf("Introduzca el nmero %i: ", i+1);
		scanf("%f", &tabla[i]);
	}

	/* Clculo de las variables estadsticas */

	maximo = tabla[0];
	minimo = tabla[0];
	suma = tabla[0];
	cuadrados = tabla[0] * tabla[0];

	for (i=1; i<n; i++)
	{
		suma += tabla[i];
	if (tabla[i] > maximo)
		maximo = tabla[i];
	else if (tabla[i] < minimo)
		minimo = tabla[i];
	cuadrados += tabla[i] * tabla[i];
	}

	media = suma / n;
	sigma = sqrt(cuadrados/n - media*media);

	printf("Resultados\n");
	printf("----------\n");
	printf("Mximo = %8.2f\n", maximo);
	printf("Mnimo = %8.2f\n", minimo);
	printf("Media = %8.2f\n", media);
	printf("Desv. = %8.2f\n", sigma);

	return 0;
}