/* 8- Cree un algoritmo que multiplique dos matrices. Las dimensiones deben ingresarse por teclado. */
/* Solucin en lenguaje C */

#include <stdio.h>

#define FIL 5 /* Nmero de filas de la matriz */
#define COL 5 /* Nmero de columnas de la matriz */

typedef float t_matriz[FIL][COL];

/*Programa principal */
int main ()
{
	float aux;
	int i, j, k;
	int f1, c1, f2, c2;
	t_matriz a, b, c;

	printf("Algoritmo para multiplicar matrices\n");
	printf("-----------------------------------\n\n");

	do
	{
		printf("\nIntroduzca el nmero de filas y columnas de la primera matriz: ");
		scanf ("%i %i", &f1, &c1);
	} while ( (f1 < 1) || (f1 > FIL) || (c1 < 1) || (c1 > COL) );

	for (i=0; i<f1; i++)
		for (j=0; j<c1; j++)
		{
			printf("Introduzca el elemento [%i,%i] de la matriz: ", i, j);
			scanf("%f", &a[i][j]);
		}
	do
	{
		printf("\nIntroduzca el nmero de filas y columnas de la segunda matriz: ");
		scanf ("%i %i", &f2, &c2);
	} while ( (f2 < 1) || (f2 > FIL) || (c2 < 1) || (c2 > COL) || (c1 != f2) );

	for (i=0; i<f2; i++)
		for (j=0; j<c2; j++)
		{
			printf("Introduzca el elemento [%i,%i] de la matriz: ", i, j);
			scanf("%f", &b[i][j]);
		}

	/* Clculo del producto */
	for (i=0; i<f1; i++)
		for (j=0; j<c2; j++)
		{
			aux = 0;
			for (k=0; k<c1; k++)
				aux += a[i][k] * b[k][j];
			c[i][j] = aux;
		}

	/* Imprimimos la matriz producto*/
	printf("\nLa matriz resultado es:\n");
	for (i=0; i<f1; i++)
	{
		for (j=0; j<c2; j++)
			printf("%.2f ", c[i][j]);
		printf("\n");
	}
	return 0;
}