{1- Programe un algoritmo que, dados los datos contenidos en un vector, calcule e imprima el mximo, el mnimo, la media y la desviacin tipo.}
{Solucin en lenguaje Pascal}

PROGRAM alg_01_cap04;

CONST MAX = 100; { Mximo de elementos del vector }

VAR i, n: integer;
	tabla: ARRAY[1..MAX] OF REAL;
	maximo, minimo, suma, cuadrados, media, sigma: REAL;

BEGIN

	WRITELN('Estadstica sobre un vector de datos');
	WRITELN('------------------------------------');

	REPEAT
		WRITELN('Cuntos datos desea introducir? (2..', MAX, '): ');
		READLN(n);
	UNTIL ( (n >= 2) AND (n <= MAX) );

	FOR i:=1 TO n DO
		BEGIN
			WRITELN('Introduzca el nmero ', i);
			READLN(tabla[i]);
		END;

	{ Clculo de las variables estadsticas }

	maximo := tabla[1];
	minimo := tabla[1];
	suma := tabla[1];
	cuadrados := tabla[1] * tabla[1];

	FOR i:=2 TO n DO
		BEGIN
			suma := suma + tabla[i];
			IF (tabla[i] > maximo) THEN
				maximo := tabla[i]
			ELSE
				IF (tabla[i] < minimo) THEN
					minimo := tabla[i];
				cuadrados := cuadrados + (tabla[i] * tabla[i]);
		END;

	media := suma / n;
	sigma := sqrt(cuadrados/n - media*media);

	WRITELN('Resultados');
	WRITELN('----------');
	WRITELN('Mximo = ', maximo:6:2);
	WRITELN('Mnimo = ', minimo:6:2);
	WRITELN('Media = ', media:6:2);
	WRITELN('Desv. = ', sigma:6:2);
END.