{8- Cree un algoritmo que multiplique dos matrices. Las dimensiones deben ingresarse por teclado.}
{Solucin en lenguaje Pascal}

PROGRAM alg_08_cap04;

CONST 	FIL = 5; { Nmero de filas de la matriz }
	COL = 5; { Nmero de columnas de la matriz }

{ Usamos un tipo de usuario }
TYPE t_matriz = ARRAY[1..FIL, 1..COL] OF REAL;

VAR 	aux: REAL;
	i,j,k: INTEGER;
	f1,c1,f2,c2: INTEGER;
	a, b, c: t_matriz;

BEGIN
	WRITELN('Algoritmo para multiplicar matrices');
	WRITELN('-----------------------------------');
	WRITELN;

	WRITELN;
	REPEAT
		WRITE('Introduzca el nmero de filas y de columnas de la primera matriz: ');
		READLN(f1, c1);
	UNTIL ( (f1 >= 1) AND (f1 <= FIL) AND (c1 >= 1) AND (c1 <= COL) );

	FOR i:=1 TO f1 DO
		FOR j:=1 TO c1 DO
			BEGIN
				WRITE('Introduzca el elemento [', i, ',', j, '] de la matriz: ');
				READLN(a[i,j]);
			END;

	WRITELN;
	REPEAT
		WRITE('Introduzca el nmero de filas y de columnas de la segunda matriz: ');
		READLN(f2, c2);
	UNTIL ( (f2 >= 1) AND (f2 <= FIL) AND (c2 >= 1) AND (c2 <= COL) AND (c1 = f2) );

	FOR i:=1 TO f2 DO
		FOR j:=1 TO c2 DO
			BEGIN
				WRITE('Introduzca el elemento [', i, ',', j, '] de la matriz: ' );
				READLN(b[i,j]);
			END;

	{ Clculo del producto }
	FOR i:=1 TO f1 DO
		FOR j:=1 TO c2 DO
			BEGIN
				aux := 0;
				FOR k:=1 TO c1 DO
					aux := aux + a[i,k] * b[k,j];
				c[i,j] := aux;
			END;

	WRITELN;
	WRITELN('La matriz resultado es: ');
	FOR i:=1 TO f1 DO
		BEGIN
			FOR j:=1 TO c2 DO
				WRITE(c[i,j]:4:2, ' ');
			WRITELN;
		END;
END.