/* 10- Desarrolle un algoritmo que cargue una cadena de caracteres por teclado y la copie a otra cadena auxiliar. Para el caso de C, incluya el carcter \0 y haga uso de la funcin ms segura fgets() para la lectura de la cadena. En el caso de Pascal, tambin copie el valor de longitud almacenado en la posicin 0 de la cadena. */
/* Solucin en lenguaje C */

#include <stdio.h>
#include <string.h>

#define MAX_LEN 50

int main()
{
	char s1[MAX_LEN];
	char s2[MAX_LEN];
	int i,l;

	printf("Ingrese una cadena (mx %d caracteres): ", MAX_LEN-1);
	/* fgets() es ms segura que scanf() para leer cadenas, ya que */
	/* permite evitar desbordamientos de buffer. */
	fgets(s1, MAX_LEN, stdin);

	l = strlen(s1);

	/* Ntese que tambin se copia el carcter de fin de cadena */
	for (i=0; i<l+1; i++)
		s2[i] = s1[i];

	printf("s1: %s\n", s1);
	printf("s2: %s\n", s2);

	return 0;
}